package serverapi

import "fmt"

// Player is a Minecraft player
type Player struct {
	Name string `json:"name"`
	UUID string `json:"uuid"`
}

// Players returns a list of Player from a ServerAPI instance
func (c *Client) Players() (players Players, err error) {
	return players, c.jsonGET(fmt.Sprintf("%s/players", c.endpoint), &players)
}
